<script>
  import Typewriter from "svelte-typewriter";
</script>

<style type="text/scss">
  section {
    margin: 5% auto;
  }

  .metal-panel {
    width: 60%;
    background-image: url("../resources/metal.jpg");
    background-color: rgba(0, 0, 0, 0.4);
    background-blend-mode: multiply;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 10%;
    border-radius: 1vh;
  }

  .display {
    background: rgba(30, 30, 30);
    font-family: monospace;
    font-size: 18px;
    color: white;
    min-height: 10em;
    padding: 1em;
    border-radius: 0.5vh;
  }
</style>

<main>
  <section class="metal-panel">
    <div class="display">
      <Typewriter mode="cascade">
        <p>> Hello There</p>
        <p>> My name is TARS</p>
        <p>
          > I'm a Discord Bot, primarily focussed on being a chat based
          soundboard
        </p>
      </Typewriter>
    </div>
  </section>
</main>
